(*^

::[paletteColors = 128; showRuler; magnification = 125; currentKernel; 
	fontset = title, inactive, nohscroll, noKeepOnOnePage, preserveAspect, cellOutline, groupLikeTitle, center, M7, R65535, L1, e8,  24, "CalcMath"; ;
	fontset = subtitle, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "CalcMath"; ;
	fontset = subsubtitle, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeTitle, center, M7, bold, L1, e6,  18, "CalcMath"; ;
	fontset = section, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeSection, grayBox, M22, bold, L1, a20,  18, "CalcMath"; ;
	fontset = subsection, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeSection, blackBox, M19, R32767, B32767, L1, a15,  16, "CalcMath"; ;
	fontset = subsubsection, inactive, nohscroll, noKeepOnOnePage, preserveAspect, groupLikeSection, whiteBox, M18, L1, a12,  14, "CalcMath"; ;
	fontset = text, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, B65535, L1,  14, "CalcMath"; ;
	fontset = smalltext, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  14, "CalcMath"; ;
	fontset = input, nowordwrap, preserveAspect, groupLikeInput, M42, N23, bold, L1,  12, "Courier"; ;
	fontset = output, output, inactive, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L-5,  12, "Courier"; ;
	fontset = message, inactive, preserveAspect, groupLikeOutput, M42, N23, R65535, B65535, L1,  12, "Courier"; ;
	fontset = print, inactive, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = info, inactive, nowordwrap, preserveAspect, groupLikeOutput, M42, N23, L1,  12, "Courier"; ;
	fontset = postscript, PostScript, formatAsPostScript, output, inactive, nowordwrap, preserveAspect, groupLikeGraphics, M7, l34, w248, h323, L1,  12, "Courier"; ;
	fontset = name, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  10, "Times"; ;
	fontset = header, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = Left Header, nohscroll, cellOutline,  12;
	fontset = footer, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, L1,  12;
	fontset = Left Footer, cellOutline, blackBox,  12;
	fontset = help, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  10, "Times"; ;
	fontset = clipboard, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12;
	fontset = completions, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, L1,  12, "Courier"; ;
	fontset = special1, inactive, nohscroll, noKeepOnOnePage, preserveAspect, whiteBox, M7, B65535, L1,  14, "CalcMath"; ;
	fontset = special2, inactive, nohscroll, noKeepOnOnePage, preserveAspect, center, M7, R32767, B32767, L1,  12, "Courier"; ;
	fontset = special3, inactive, nohscroll, noKeepOnOnePage, preserveAspect, right, M7, bold, L1,  12, "CalcMath"; ;
	fontset = special4, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, bold, italic, L1,  12, "CalcMath"; ;
	fontset = special5, inactive, nohscroll, noKeepOnOnePage, preserveAspect, M7, italic, L1,  12, "CalcMath"; ;
	next21StandardFontEncoding; ]
:[font = title; inactive; preserveAspect; ]

Calculus&Mathematica 

:[font = subtitle; inactive; preserveAspect; ]
Bill Davis, Horacio Porta and Jerry Uhl
:[font = special5; inactive; preserveAspect; center; ]
Technical Crew:
Don Brown in California
Alan DeGuzman, Justin Gallivan and David Wiltz in Illinois
and
Corey Mutter in Ohio
:[font = special2; inactive; preserveAspect; ]
Copyright 1992 by Addison-Wesley Publishing Company,Inc.
The rights to all modifications are assigned to
Addison-Wesley Publishing Company Inc.
;[s]
1:0,0;145,-1;
1:1,10,8,Courier,0,12,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Initialization
:[font = input; initialization; preserveAspect; endGroup; ]
*)
Off[General::spell1];
Off[Plot::plnr];
(*
:[font = title; inactive; Cclosed; preserveAspect; startGroup; ]

Higher derivatives, splines and
approximations

:[font = special1; inactive; preserveAspect; endGroup; ]
PrintForm June 8,1990 Acorns out.
Edited July 30,1991
Filtered Oct 28, 1991 (Davis)
Newest CalcAndMath Font, Columbus, December 1991
;[s]
2:0,0;84,1;132,-1;
2:1,14,10,CalcMath,0,14,0,0,65535;1,14,10,CalcMath,0,14,0,0,0;
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Guide
:[font = text; inactive; preserveAspect; endGroup; ]
The physical meaning of the higher derivatives may not be apparent to you, but their significance and utility will not be soon forgotten after this lesson.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Basics
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
B.1)  Some remarkable plots and an explanation.
:[font = text; inactive; preserveAspect; ]
Sometimes functions whose formulas are strikingly different have plots that are strikingly similar.
:[font = subsubsection; inactive; preserveAspect; ]
B.1.a.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot Cos[x] and 1 - x on the same axes for -.5  x  .5.
Describe what you see.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[{Cos[x], Sqrt[1 - x^2]},{x,-.5,.5}];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
Very similar plots.
:[font = subsubsection; inactive; preserveAspect; ]
B.1.a.ii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot Sin[x] and x (Cos[x]) on the same axes for -1  x  1.
Describe what you see.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[{Sin[x],x Cos[x]^(1/3)},{x,-1,1}];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
Cohabitation.
:[font = subsubsection; inactive; preserveAspect; ]
B.1.a.iii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot Sin[x] and x (60 - 7 x) / (60 + 3 x) on the same axes for -3  x  3.  Describe what you see.
:[font = subsubsection; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[{Sin[x],x ( 60 - 7 x^2)/(60 + 3 x^2)},{x,-3,3}];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
Sharing lots of ink.
:[font = subsubsection; inactive; preserveAspect; ]
B.1.b.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Are the plotting phenomena we saw in the last four plots accidents?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; endGroup; ]
In mathematics, there are no accidents.
:[font = subsubsection; inactive; preserveAspect; ]
B.1.b.ii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
What can explain what's happening?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
It has to do with the higher derivatives.  Look at:
:[font = input; preserveAspect; ]
Plot[{Cos[x], Sqrt[1 - x^2]},{x,-.5,.5}];
:[font = smalltext; inactive; preserveAspect; ]
Note that 0 is the center of the plotting interval [-.5, .5] and look at:
:[font = input; preserveAspect; ]
{Cos[x], Sqrt[1 - x^2]}/.x->0
:[font = smalltext; inactive; preserveAspect; ]
The functions match at the center of the interval.
:[font = input; preserveAspect; ]
{D[Cos[x],x], D[Sqrt[1 - x^2],x]}/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Their first derivatives match at the center of the interval.
:[font = input; preserveAspect; ]
{D[Cos[x],{x,2}], D[Sqrt[1 - x^2],{x,2}]}/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Their second derivatives match at the center of the interval.
:[font = input; preserveAspect; ]
{D[Cos[x],{x,3}], D[Sqrt[1 - x^2],{x,3}]}/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Their third derivatives match at the center of the interval.
:[font = input; preserveAspect; ]
{D[Cos[x],{x,4}], D[Sqrt[1 - x^2],{x,4}]}/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Their fourth derivatives do not match at the center of the interval.
We say that these two functions have order of contact 3 at 0.
Let's look at the next pair:
:[font = input; preserveAspect; ]
Plot[{Sin[x],x Cos[x]^(1/3)},{x,-1,1}];
:[font = smalltext; inactive; preserveAspect; ]
Note that 0 is the center of the plotting interval [-1,1] and look at:
:[font = input; preserveAspect; ]
{Sin[x],x Cos[x]^(1/3)}/.x->0
:[font = input; preserveAspect; ]
{D[Sin[x],x],D[x Cos[x]^(1/3),x]}/.x->0
:[font = input; preserveAspect; ]
{D[Sin[x],{x,2}],D[x Cos[x]^(1/3),{x,2}]}/.x->0
:[font = input; preserveAspect; ]
{D[Sin[x],{x,3}],D[x Cos[x]^(1/3),{x,3}]}/.x->0
:[font = input; preserveAspect; ]
{D[Sin[x],{x,4}],D[x Cos[x]^(1/3),{x,4}]}/.x->0
:[font = input; preserveAspect; ]
{D[Sin[x],{x,5}],D[x Cos[x]^(1/3),{x,5}]}/.x->0
:[font = smalltext; inactive; preserveAspect; ]
The functions and their first four derivatives match at 0.
We say that these two functions have order of contact 4 at 0.
Let's look at the last pair:
:[font = input; preserveAspect; ]
Plot[{Sin[x],x ( 60 - 7 x^2)/(60 + 3 x^2)},{x,-3,3}];
:[font = smalltext; inactive; preserveAspect; ]
Note that 0 is the center of the plotting interval [-3,3] and look at:
:[font = input; preserveAspect; ]
Clear[f,g,x]
{f[x_] = Sin[x],g[x_] = x (60 - 7 x^2)/(60 + 3 x^2)}
:[font = input; preserveAspect; ]
{f[0],g[0]}
:[font = input; preserveAspect; ]
{f'[0], g'[0]}
:[font = input; preserveAspect; ]
{f''[0], g''[0]}
:[font = input; preserveAspect; ]
{f'''[0], g'''[0]}
:[font = input; preserveAspect; ]
{f''''[0], g''''[0]}
:[font = input; preserveAspect; ]
{f'''''[0],g'''''[0]}
:[font = input; preserveAspect; ]
{f''''''[0],g''''''[0]}
:[font = input; preserveAspect; ]
{f'''''''[0],g'''''''[0]}
:[font = smalltext; inactive; preserveAspect; endGroup; endGroup; ]
The functions and their first six derivatives match at 0.
We say that these two functions have order of contact 6 at 0.
The idea of order of contact looks like it has potential.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
B.2)  Smooth splines.
:[font = text; inactive; preserveAspect; ]
A spline is a long flexible strip of plastic or the like that is used in drawing smooth curves.  Derivatives can be used for the same purpose.
Suppose we have two functions f[x] and g[x] and we have a number b.  Create a new function h[x] by setting
     h(x) = f[x] for x  b 
and
     h[x] = g[x] for x > b.
If f[b] = g[b], then we say that the new function h[x] is a spline of f[x] and g[x] knotted at {b, f[b]} = {b, g[b]}.
:[font = subsubsection; inactive; preserveAspect; ]
B.2.a)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot a spline of e and
     ؒбؒ + Sin[6 x]
knotted at {0,1} on an interval including 0.  Discuss reasons for the smoothness of the spline curve as it passes through the knot at {0,1}.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Clear[f,g,h,x]
f[x_] = E^x 
:[font = input; preserveAspect; ]
g[x_] := Sqrt[(1 + x)/(1 - x)] + Sin[6 x^3]
:[font = input; preserveAspect; ]
h[x_] := g[x]/;x > 0 ; h[x_] := f[x]/;x <= 0
:[font = input; preserveAspect; ]
Plot[h[x],{x,-1,1}];
:[font = smalltext; inactive; preserveAspect; ]
To see why the spline is so smooth at the knot at {0,1}, look at:
:[font = input; preserveAspect; ]
{f[0],g[0]}
:[font = input; preserveAspect; ]
{f'[0],g'[0]}
:[font = input; preserveAspect; ]
{f''[0],g''[0]}
:[font = input; preserveAspect; ]
{f'''[0],g'''[0]}
:[font = smalltext; inactive; preserveAspect; endGroup; ]
The smoothness of the spline at the knot at {0,1} seems to be related to the fact that f[x] and g[x] have order of contact 2 at {0,1}.
:[font = subsubsection; inactive; preserveAspect; ]
B.2.b)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot a spline of e and 1 - 2 x knotted at {0,1} on an interval including 0.  Discuss reasons for the lack of smoothness of the spline curve as it passes through the knot at {0,1}.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Clear[f,g,h,x]
f[x_] = E^x 
:[font = input; preserveAspect; ]
g[x_] := 1 - 2 x^2
:[font = input; preserveAspect; ]
h[x_] := g[x]/;x > 0 ; h[x_] := f[x]/;x <= 0
:[font = input; preserveAspect; ]
Plot[h[x],{x,-1,1},AxesLabel->{"x","y"}];
:[font = smalltext; inactive; preserveAspect; ]
To see why the spline has a hitch at the knot at {0,1}, look at:
:[font = input; preserveAspect; ]
{f[0],g[0]}
:[font = input; preserveAspect; ]
{f'[0],g'[0]}
:[font = smalltext; inactive; preserveAspect; endGroup; ]
The lack of smoothness of the spline at the knot at {0,1} seems to be related to the fact that f[x] and g[x] have order of contact 0 at {0,1}.
A road built in the shape of this plot would be highly unsafe.
:[font = subsubsection; inactive; preserveAspect; ]
B.2.c)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot a spline of e and  +  +  + x/24 knotted at {1,1} on an interval including 1.  Discuss reasons for the smoothness of the spline curve as it passes through the knot at {1,1}.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Clear[f,g,h,x]
f[x_] = E^(x - 1) 
:[font = input; preserveAspect; ]
g[x_] = 3/8 + x/3 + x^2/4 + x^4/24 
:[font = input; preserveAspect; ]
h[x_] := g[x]/;x > 1 ; h[x_] := f[x]/;x <= 1
:[font = input; preserveAspect; ]
Plot[h[x],{x,0,2},AxesLabel->{"x","y"}];
:[font = smalltext; inactive; preserveAspect; ]
To see why the spline passes so smoothly through the knot at {1,1}, look at:
:[font = input; preserveAspect; ]
{f[1],g[1]}
:[font = input; preserveAspect; ]
{f'[1],g'[1]}
:[font = input; preserveAspect; ]
{f''[1],g''[1]}
:[font = input; preserveAspect; ]
{f'''[1],g'''[1]}
:[font = input; preserveAspect; ]
{f''''[1],g''''[1]}
:[font = input; preserveAspect; ]
{f'''''[1],g'''''[1]}
:[font = smalltext; inactive; preserveAspect; endGroup; ]
The extreme smoothness of the spline at the knot at {1,1} seems to be related to the fact that f[x] and g[x] have order of contact 4 at {1,1}.  A road built in the shape of this plot would be very safe.
:[font = subsubsection; inactive; preserveAspect; ]
B.2.d)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
What practical good is this?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; endGroup; endGroup; endGroup; ]
Good question.
First of all, the idea of a spline smooth at its knots makes for interesting plots and nice art.  But there is a serious aspect as well.
Laying out the curves on expressways and railroads amounts to joining curved plots to relatively straight plots at knots of a spline.  It is unacceptable to have a hitch (corner) in the middle of the roadway.
The higher the order of contact at the knots, the safer the highway or roadbed.
Any order of contact less than 2 is considered unsafe.  And this may be pushing it.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Tutorial
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
T.1)  Approximation via higher order contact.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.a.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Find the third degree (cubic) polynomial that has order of contact 3 with e at {0,1}.
Plot this polynomial and e on the same axes for-2  x  2.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
The polynomial is:
:[font = input; preserveAspect; ]
Clear[x,y,a,b,c,d]
y = a + b x + c x^2 + d x^3 
:[font = smalltext; inactive; preserveAspect; ]
The conditions that must be met are:
:[font = input; preserveAspect; ]
eqn1 = (y /.x->0) == E^x/.x->0
:[font = input; preserveAspect; ]
eqn2 = (D[y,x]/.x->0) == D[E^x,x]/.x->0
:[font = input; preserveAspect; ]
eqn3 = (D[y,{x,2}]/.x->0) == D[E^x,{x,2}]/.x->0
:[font = input; preserveAspect; ]
eqn4 = (D[y,{x,3}]/.x->0) == D[E^x,{x,3}]/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Now we nail down the coefficients:
:[font = input; preserveAspect; ]
coeffs = Solve[{eqn1,eqn2,eqn3,eqn4}]
:[font = smalltext; inactive; preserveAspect; ]
Substitute in the values of the coefficients that do the job:
:[font = input; preserveAspect; ]
goody = y/.coeffs[[1]]
:[font = smalltext; inactive; preserveAspect; ]
And now the plot:
:[font = input; preserveAspect; ]
Plot[{E^x,goody},{x,-2,2}];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
There's a lot of snuggling going on for -1  x  1.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.a.ii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If you use your answer to part i) to compute values of e for 
-1  x  1, then how many accurate decimals of e do you get?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
Let's see how far apart they are by plotting the absolute value of their difference.  We'll use the plotting option PlotRange->All to guarantee that we see the whole plot.
:[font = input; preserveAspect; ]
Plot[Abs[goody - E^x],{x,-1,1},PlotRange->All];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
You get at least one accurate decimal of e.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.a.iii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If you use your answer to part i) to calculate values of e for -  x  , then how many accurate decimals of e do you get?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[Abs[goody - E^x],{x,-1/4,1/4},PlotRange->All];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
You get at least three accurate decimals of e.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.b.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Find the function of the form
     (a + b x + c x)/(1 + c x + d x)
that has order of contact 4 with e at {0,1}.
Plot this function and e on the same axes for -2  x  2.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
The function we have to determine is:
:[font = input; preserveAspect; ]
Clear[x,f,a,b,c,d]
y = (a + b x + c x^2)/(1 + d x + e x^2) 
:[font = smalltext; inactive; preserveAspect; ]
The conditions that must be met are:
:[font = input; preserveAspect; ]
eqn1 = (y/.x->0) == E^x/.x->0
:[font = input; preserveAspect; ]
eqn2 = (D[y,x]/.x->0) == D[E^x,x]/.x->0
:[font = input; preserveAspect; ]
eqn3 = (D[y,{x,2}]/.x->0) == D[E^x,{x,2}]/.x->0
:[font = input; preserveAspect; ]
eqn4 = (D[y,{x,3}]/.x->0) == D[E^x,{x,3}]/.x->0
:[font = input; preserveAspect; ]
eqn5 = (D[y,{x,4}]/.x->0) == D[E^x,{x,4}]/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Now we nail down the coefficients:
:[font = input; preserveAspect; ]
coeffs = Solve[{eqn1,eqn2,eqn3,eqn4,eqn5}]
:[font = smalltext; inactive; preserveAspect; ]
Substitute in the values of the coefficients that do the job:
:[font = input; preserveAspect; ]
goody = y/.coeffs[[1]]
:[font = smalltext; inactive; preserveAspect; ]
And now the plot:
:[font = input; preserveAspect; ]
Plot[{E^x,goody},{x,-2,2}];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
Cohabitation.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.b.ii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If you use your answer to part b.i) to calculate values of e for -1  x  1, then how many accurate decimals of e do you get?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[Abs[goody - E^x],{x,-1,1},PlotRange->All];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
You get at least two accurate decimals of e.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.b.iii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If you use your answer to part ii) to calculate values of e for -  x  , then how many accurate decimals of e do you get?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[Abs[goody - E^x],{x,-1/4,1/4},PlotRange->All];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
You get at least five accurate decimals of e.
Not bad.
:[font = subsubsection; inactive; preserveAspect; ]
T.1.c.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Find the function of the form
     a + b Cos[x] + c Sin[x] + d Cos[2 x] + e Sin[2 x]
that has order of contact 4 with e at {0,1}.
Plot this function and e on the same axes for -2  x  2.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
The function we have to determine is:
:[font = input; preserveAspect; ]
Clear[x,f,a,b,c,d]
y = a + b Cos[x] + c Sin[x] + d Cos[2 x] + e Sin[2 x] 
:[font = smalltext; inactive; preserveAspect; ]
The conditions that must be met are:
:[font = input; preserveAspect; ]
eqn1 = (y/.x->0) == E^x/.x->0
:[font = input; preserveAspect; ]
eqn2 = (D[y,x]/.x->0) == D[E^x,x]/.x->0
:[font = input; preserveAspect; ]
eqn3 = (D[y,{x,2}]/.x->0) == D[E^x,{x,2}]/.x->0
:[font = input; preserveAspect; ]
eqn4 = (D[y,{x,3}]/.x->0) == D[E^x,{x,3}]/.x->0
:[font = input; preserveAspect; ]
eqn5 = (D[y,{x,4}]/.x->0) == D[E^x,{x,4}]/.x->0
:[font = smalltext; inactive; preserveAspect; ]
Now we nail down the coefficients:
:[font = input; preserveAspect; ]
coeffs = Solve[{eqn1,eqn2,eqn3,eqn4,eqn5}]
:[font = smalltext; inactive; preserveAspect; ]
Substitute in the values of the coefficients that do the job:
:[font = input; preserveAspect; ]
goody = y/.coeffs[[1]]
:[font = smalltext; inactive; preserveAspect; ]
And now the plot:
:[font = input; preserveAspect; ]
Plot[{E^x,goody},{x,-2,2}];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
There's a lot shared ink for -1  x  1.
Isn't it amazing that sine and cosine waves can be combined in such a non-wavy fashion?
:[font = subsubsection; inactive; preserveAspect; ]
T.1.c.ii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If you use your answer to part c.i) to calculate values of e for -  x  , then how many accurate decimals of e do you get?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = input; preserveAspect; ]
Plot[Abs[goody - E^x],{x,-1/4,1/4},PlotRange->All];
:[font = smalltext; inactive; preserveAspect; endGroup; endGroup; ]
You get at least three accurate decimals of e.
Maybe sines and cosines are good for something other than boring old trigonometry.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
T.2)  Natural cubic spline interpolation.
:[font = subsubsection; inactive; preserveAspect; ]
T.2.a.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Try to pass a reasonable curve through the points 
     {{-8, -12}, {-1, -15}, {2, 20}, {5, -4},
     {8, 9}, {11, 3}, {15, 9}}.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
There are seven points in this list.  One common belief is that we should pass the unique 6th degree interpolating polynomial through the points and then plot it:
:[font = input; preserveAspect; ]
points = 
{{-8,-12},{-1,-15},{2,20},{5,-4},{8,9},{11,3},{15,9}}
:[font = smalltext; inactive; preserveAspect; ]
The equation of this polynomial is:
:[font = input; preserveAspect; ]
Clear[x,y]
y = InterpolatingPolynomial[points,x] 
:[font = smalltext; inactive; preserveAspect; ]
Here comes the plot:
:[font = input; preserveAspect; ]
givenpoints = 
ListPlot[points,
PlotStyle->{RGBColor[1,0,0],PointSize[.02]},
DisplayFunction->Identity];
polythrough = 
Plot[y,{x,-8,15},DisplayFunction->Identity];
	
Show[givenpoints,polythrough,
AxesLabel->{"x","y"},
DisplayFunction->$DisplayFunction];
:[font = smalltext; inactive; preserveAspect; ]
Dammit get real!
Look at that huge dip on the left! 
That polynomial curve has dips and crests that are not suggested by the given points.  We better give up on using this approach for this list of numbers.
A drastic measure would be to connect the consecutive points with line segments.  Some folks call this procedure "linear interpolation." Let's try it:
:[font = input; preserveAspect; ]
sticks = 
ListPlot[points,PlotJoined->True,
DisplayFunction->Identity];

Show[givenpoints,sticks,AxesLabel->{"x","y"},
DisplayFunction->$DisplayFunction];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
Yuk!  This is rough, but it is more satisfactory than the polynomial plot.
But there must be a way of getting some smoothness into the curve.
:[font = subsubsection; inactive; preserveAspect; ]
T.2.a.ii)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
What is a good way of getting smoothness into this?
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
"Freedom is everyone, but using it wisely is the burden of the educated person."
                                                                                           Argentine proverb.
:[font = smalltext; inactive; preserveAspect; ]
Instead of passing a line segment through consecutive points, we pass a different cubic curve through pair of consecutive points and make a smooth spline with knots at each of the points.
This may seem outlandish at first, because a cubic curve 
     y= a x + b x + c x + d
has four coefficients to determine and normally we fit a cubic through four points.  We are going to fit the cubic through just two consecutive points and use the extra freedom we have to guarantee smoothness at the knots on the left and right of the knot.
Start out with the points above
     {x[1], y[1]}, {x[2], y[2]}, {x[3], y[3]}, 
     {x[4], y[4]}, {x[5], y[5]},{x[6], y[6]}, {x[7], y[7]}
sorted so that the x[k]'s increase as k increases.
:[font = input; preserveAspect; ]
Clear[f,x,y,a,b,c,d,k,eqn]
:[font = smalltext; inactive; preserveAspect; ]
f[k,x] is the cubic that we are going to run from
     {x[k], y[k]} to {x[k+1], y[k +1]}:
:[font = input; preserveAspect; ]
f[k_,x_] = a[k] x^3 + b[k] x^2 + c[k] x + d[k]
:[font = smalltext; inactive; preserveAspect; ]
Here k runs from k = 1 to k = 6; so we are working with 6 cubics and each cubic has 4 undetermined (so far) coefficients.  This means we have 24 equations to play with.
To hit the points, we want:
     f[k, x[k]] = y[k] for k = 1, 2, 3, 4, 5, 6
and
     f[k, x[k+1]] = y[k+1] for k = 1, 2, 3, 4, 5, 6.
For smoothness at the knots, we want:
     f'[ k, x[k] = f'[ k-1, x[k]] for k = 2, 3, 4, 5, 6
 and
     f''[ k, x[k]] = f''[ k-1, x[k]] for k = 2, 3, 4, 5, 6
 Here all derivatives are with respect to the x variable.
We cannot use k = 1 in the last two equations because there is no function f[0, x].
So far we have specified
     6 + 6 + 5 + 5 = 22 
conditions and we have 24 undetermined coefficients; as a result we need to specify two more conditions.
Old timers at the art of curve fitting have found that good results usually come from specifying that the second derivatives be 0 at the end points {x[1], y[1]} and {x[7], y[7]}.  They call the resulting spline "the natural cubic spline."
Here is the Mathematica code that does all this.
The specific rules we want Mathematica to follow are:
:[font = input; preserveAspect; ]
eqn[1,1] = (f[1,x[1]] == y[1])
:[font = input; preserveAspect; ]
eqn[2,1] = (f[1,x[2]] == y[2])
:[font = input; preserveAspect; ]
eqn[3,1] = (D[f[1,x],{x,2}]/.x->x[1]) == 0
:[font = input; preserveAspect; ]
eqn[4,1] = (D[f[6,x],{x,2}]/.x->x[7]) == 0
:[font = smalltext; inactive; preserveAspect; ]
The general rules we want Mathematica to use are below.
These general rules will not override the specific rules above.
:[font = input; preserveAspect; ]
eqn[1,k_] = (f[k,x[k]] == y[k])
:[font = input; preserveAspect; ]
eqn[2,k_] = (f[k,x[k+1]] == y[k+1])
:[font = input; preserveAspect; ]
eqn[3,k_] = (D[f[k,x],x]/.x->x[k]) == (D[f[k-1,x],x]/.x->x[k] )
:[font = input; preserveAspect; ]
eqn[4,k_] = (D[f[k,x],{x,2}]/.x->x[k]) == (D[f[k-1,x],{x,2}]/.x->x[k])
:[font = text; inactive; preserveAspect; ]
Now get ready to plug the points in:
:[font = input; preserveAspect; ]
Clear[points]
:[font = input; preserveAspect; ]
x[k_] := points[[k,1]]
:[font = input; preserveAspect; ]
y[k_] := points[[k,2]]
:[font = smalltext; inactive; preserveAspect; ]
Enter the seven points sorted in order of increasing x-coordinates:
:[font = input; preserveAspect; ]
points = 
{{-8,-12},{-1,-15},{2,20},{5,-4},{8,9},{11,3},{15,9}}
:[font = smalltext; inactive; preserveAspect; ]
Check for instance:
:[font = input; preserveAspect; ]
{x[2],y[2]}
:[font = smalltext; inactive; preserveAspect; ]
Good.
Now solve for the correct coefficients - all 24 of them- substitute and plot:
:[font = input; preserveAspect; ]
coeffs =
Solve[Flatten[Table[{eqn[1,k],eqn[2,k],eqn[3,k],eqn[4,k]},{k,1,6}]]]
:[font = input; preserveAspect; ]
Clear[ourf]
Table[{"ourf"[k,x],ourf[k,x_] = (f[k,x]/.coeffs[[1]])},{k,1,6}]

plot1 =
Plot[ourf[1,x],{x,x[1],x[2]},DisplayFunction->Identity];

plot2 =
Plot[ourf[2,x],{x,x[2],x[3]},DisplayFunction->Identity];

plot3 =
Plot[ourf[3,x],{x,x[3],x[4]},DisplayFunction->Identity];

plot4 =
Plot[ourf[4,x],{x,x[4],x[5]},DisplayFunction->Identity];

plot5 =
Plot[ourf[5,x],{x,x[5],x[6]},DisplayFunction->Identity];

plot6 =
Plot[ourf[6,x],{x,x[6],x[7]},DisplayFunction->Identity];
:[font = text; inactive; preserveAspect; ]
By gosh, that's just about the way that we would have connected the dots with a pencil.  The old-time cubic spliners seem to know what they're talking about.  And to add adventure to an already thrilling subject, show on the same plot both the interpolating polynomial and the natural spline.
:[font = input; preserveAspect; ]
Show[plot1,plot2,plot3,plot4,plot5,plot6,givenpoints,polythrough,
PlotRange->All,
AxesLabel->{"x","y"},
DisplayFunction->$DisplayFunction];
:[font = smalltext; inactive; preserveAspect; endGroup; endGroup; ]
Sit back and reflect remembering that you are one of a elite group of calculus students who has ever seen a cubic spline.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
T.3)  Landing an airplane
:[font = text; inactive; preserveAspect; ]
The design of an elecronically-controlled airplane landing system calls for the plane to approach the runway head-on, at a constant horizontal speed s and constant altitude h.  As the plane passes over a certain point on the ground R units from the designated touch-down spot on the runway, the system is to take over and bring the plane onto the runway on the trajectory of a cubic polynomial.
The constant horizontal speed s is to be maintained through the whole landing procedure.
Our units will be distances x and y in feet and time t in seconds.
Set up the cubic:
:[font = input; preserveAspect; ]
y = a x^3 + b x^2 + c x + d
:[font = text; inactive; preserveAspect; ]
Here y stands for the altitude of the plane when the plane is directly above a spot on the ground x feet from the designated touch-down spot on the runway.  For a smooth onset of the descent we must have:
:[font = input; preserveAspect; ]
eqn1 = (y/.x->R) == h
:[font = input; preserveAspect; ]
eqn2 = (D[y,x]/.x->R) == 0 
:[font = text; inactive; preserveAspect; ]
For touchdown at the designated touch-down spot on the runway, we must have:
:[font = input; preserveAspect; ]
eqn3 =(y/.x->0) == 0
:[font = text; inactive; preserveAspect; ]
The runway must be tangent to the trajectory at the designated touch-down spot on the runway, so we must have: 
:[font = input; preserveAspect; ]
eqn4 = (D[y,x]/.x->0)== 0 
:[font = text; inactive; preserveAspect; ]
To determine the trajectory, we solve:
:[font = input; preserveAspect; ]
coeffs = Solve[{eqn1,eqn2,eqn3,eqn4},{a,b,c,d}]
:[font = text; inactive; preserveAspect; ]
The trajectory is the graph of:
:[font = input; preserveAspect; ]
trajectory = y/.coeffs[[1]]
:[font = subsubsection; inactive; preserveAspect; ]
T.3.a)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Plot the trajectory for the case R = 10000 ft, h = 5000 ft.
Then plot the detail of the landing.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
The plot of the landing trajectory is:
:[font = input; preserveAspect; ]
landing = 
Plot[trajectory/.{R->10000,h->5000},{x,0,10000},
PlotStyle->RGBColor[0,0,1]];
:[font = smalltext; inactive; preserveAspect; ]
Here is a plot showing the plane's path slightly before the descent begins and slightly after the plane touches down:
:[font = input; preserveAspect; ]
air =
	Plot[5000,{x,10000,14000},PlotStyle->RGBColor[0,0,1],
	DisplayFunction->Identity];
land = 
	Plot[0,{x,-1000,0},PlotStyle->RGBColor[0,0,1], 
	DisplayFunction->Identity];
	
Show[air,landing,land,AspectRatio->Automatic,
	DisplayFunction->$DisplayFunction];
:[font = smalltext; inactive; preserveAspect; ]
Nice.
Here is a plot of the detail of the landing in true scale:
:[font = input; preserveAspect; ]
Show[air,landing,land,
	AspectRatio->Automatic,
	PlotRange->{{-500,1000},{-10,400}},
	DisplayFunction->$DisplayFunction];
:[font = smalltext; inactive; preserveAspect; endGroup; ]
The whole path of the airplane is nothing but a smooth spline knotted at {0,0} and {10000, 5000}.
:[font = subsubsection; inactive; preserveAspect; ]
T.3.b)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
We show our system to a knowledgable aviator for comment.  The aviator is skeptical about it because (among other issues) there is no safeguard against destructive forces.  In order to hold the plane together, the vertical acceleration must be held to be less than 3.2 ft/sec per sec.  Compute the vertical acceleration as a function of the constant horizontal s, R, h and t.
Give the relationship R, s and h must have in order to stay within the safety guideline.
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
We know that the plane is travelling at a constant horizontal speed of s 쒧䒫䒍.  We also know the trajectory:
:[font = input; preserveAspect; ]
trajectory
:[font = smalltext; inactive; preserveAspect; ]
Because the plane is holding a steady horizontal speed of s mph, we also know that as a function of t,
     x = R - s t; 
so we can get vertical altitude y (in feet) as a function of t: 
:[font = input; preserveAspect; ]
vertalt = trajectory/.x->(R - s t)
:[font = smalltext; inactive; preserveAspect; ]
The vertical speed in feet per second is:
:[font = input; preserveAspect; ]
vertspeed = D[vertalt,t]
:[font = smalltext; inactive; preserveAspect; ]
The vertical acceleration feet per second per second is:
:[font = input; preserveAspect; ]
vertaccel = Together[D[vertspeed,t]]

:[font = smalltext; inactive; preserveAspect; ]
From this we can see that the acceleration starts out at
:[font = input; preserveAspect; ]
vertaccel/.t->0
:[font = smalltext; inactive; preserveAspect; ]
(pointing down) and steadily increases as t increases until the time at which the plane touches down; this time is given by R - s t = 0 or t = R/s, so the vertical acceleration at touchdown is
:[font = input; preserveAspect; ]
vertaccel/.t->R/s
:[font = smalltext; inactive; preserveAspect; endGroup; ]
(pointing up).  Thus to meet the safety guideline, we can get by with
     6 h s/ R  3.2.
:[font = subsubsection; inactive; preserveAspect; ]
T.3.c) 
:[font = text; inactive; preserveAspect; ]
If the horizontal speed s is 150 mph and the original altitude h is 5000 ft, find the mininum value safe value of R.  Plot the trajectory for this R.
(Remember that the plane begins to land as it passes over a certain point on the ground R units from the designated touch-down spot.)
:[font = special1; inactive; preserveAspect; ]
Answer:
:[font = smalltext; inactive; preserveAspect; ]
The speed 150 mph translates into s = 150 ޒے feet per second.
The minimum R is given by:
:[font = input; preserveAspect; ]
Clear[h,s,R]
Solve[((6 h s^2/R^2)/.{h->5000,s->150}) == 3.2,R] 
:[font = smalltext; inactive; Cclosed; preserveAspect; startGroup; ]
In miles this is:
:[font = input; preserveAspect; endGroup; ]
14523.7 / 5280
:[font = smalltext; inactive; preserveAspect; ]
Here is the plot:
:[font = input; preserveAspect; ]
Plot[trajectory/.{h->5000,R->14523.7},{x,0,14523.7},
AspectRatio->Automatic,
Ticks->{Range[0,15000,5000],Automatic}];
:[font = smalltext; inactive; preserveAspect; endGroup; endGroup; ]
How beautiful to fly.
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Give it a try
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.1)  Approximation of ArcSin[x] with an unlikely function.
:[font = subsubsection; inactive; preserveAspect; ]
G.1.a.i)
:[font = text; inactive; preserveAspect; ]
Plot ArcSin[x] and 3 x/(2 + 1 - x) on the same axes for -1  x  1.
:[font = subsubsection; inactive; preserveAspect; ]
G.1.a.ii)
:[font = text; inactive; preserveAspect; ]
Plot the absolute value of the difference between 
     ArcSin[x] and 3 x/(2 + 1 - x)
for -.5  x  .5.
If -.5  x  .5, then how many accurate decimals do you get by using the value 3 x/(2 + 1 - x) in place of the actual value of ArcSin[x]? 
:[font = subsubsection; inactive; preserveAspect; ]
G.1.a.iii)
:[font = text; inactive; preserveAspect; endGroup; ]
What explanation do you offer for the similarity of the plots of these two functions?
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.2)  Making your own remarkable plots and approximations: Taylor's polynomials.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.a.i)
:[font = text; inactive; preserveAspect; ]
Find the third degree polynomial that has order of contact 3 with Sin[x] at {0,0}.
Plot your polynomial and Sin[x] on the same axes for -`  x  `.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.a.ii)
:[font = text; inactive; preserveAspect; ]
Find the fifth degree polynomial that has order of contact 5 with Sin[x] at {0,0}.
Plot your polynomial and Sin[x] on the same axes for -`  x  `.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.a.iii)
:[font = text; inactive; preserveAspect; ]
Find the seventh degree polynomial that has order of contact 7 with Sin[x] at {0,0}.
Plot your polynomial and Sin[x] on the same axes for -2`  x  2`.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.a.iv)
:[font = text; inactive; preserveAspect; ]
Find the eleventh degree polynomial that has order of contact 11 with Sin[x] at {0,0}.
Plot your polynomial and Sin[x] on the same axes for -2`  x  2`.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.a.v)
:[font = text; inactive; preserveAspect; ]
You are programming a calculator that is being built to deliver seven decimal accuracy.  This calculator can only add, subtract, multiply and divide numbers.  What polynomial would you program in to stand for Sin[x] for -`  x  `?
:[font = subsubsection; inactive; preserveAspect; ]
G.2.b.i)
:[font = text; inactive; preserveAspect; ]
Find the fourth degree polynomial that has order of contact 4 with Cos[x] at {0,1}.
Plot your polynomial and Cos[x] on the same axes for -`  x  `.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.b.i)
:[font = text; inactive; preserveAspect; ]
Find the eighth degree polynomial that has order of contact 8 with Cos[x] at {0,1}.
Plot your polynomial and Cos[x] on the same axes for -`  x  `.
:[font = subsubsection; inactive; preserveAspect; ]
G.2.b.iii)
:[font = text; inactive; preserveAspect; ]
You are programming a calculator that is being built to deliver seven decimal accuracy.  This calculator can only add, subtract, multiply and divide numbers.  What polynomial would you program in to stand for Cos[x] for -`  x  `?
:[font = subsubsection; inactive; preserveAspect; ]
G.2.c)
:[font = text; inactive; preserveAspect; endGroup; ]
You are programming a calculator that is being built to deliver seven decimal accuracy.  This calculator can only add, subtract, multiply and divide numbers.  What polynomial would you program in to stand for e for -1  x  1?
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.3)  Making your own remarkable plots and approximations - Pade's quotients of polynomials.
:[font = subsubsection; inactive; preserveAspect; ]
G.3.a.i)
:[font = text; inactive; preserveAspect; ]
Find the function of the form
     (a + b x + c x)/(1 + d x + e x)
that has order of contact 4 with Log[1 + x] at {0,1}.
Plot this function and Log[1 + x] on the same axes for -1  x  1.
:[font = subsubsection; inactive; preserveAspect; ]
G.3.a.ii)
:[font = text; inactive; preserveAspect; ]
If 0  x  .5, then how many accurate decimals do you get by using the value of your answer to part i) in place of the actual value of 
Log[1 + x]? 
:[font = subsubsection; inactive; preserveAspect; ]
G.3.b.i)
:[font = text; inactive; preserveAspect; ]
Find the function of the form
     (a + b x + c x)/(1 + d x + e x)
that has order of contact 4 with Cos[x] at {0,1}.
(Here we're using even powers of x because Cos[x] is an even function.)
Plot this function and Cos[x] on the same axes for - 2`  x  2 `.
:[font = subsubsection; inactive; preserveAspect; ]
G.3.b.ii)
:[font = text; inactive; preserveAspect; ]
If -  x   then how many accurate decimals do you get by using the value of your answer to part i) in place of the actual value of Cos[x]?
:[font = subsubsection; inactive; preserveAspect; ]
G.3.b.iii)
:[font = text; inactive; preserveAspect; endGroup; ]
What would you do to try for more accuracy?
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.4)  Making your own remarkable plots and approximations - Fourier's sine and cosine waves.
:[font = text; inactive; preserveAspect; ]
Fourier had the idea that all functions defined on [-`,`] can be built from Sine and Cosine waves the same way that all music can be built from basic harmonics.
Here is one way to try out Fourier's idea:
:[font = subsubsection; inactive; preserveAspect; ]
G.4.a)
:[font = text; inactive; preserveAspect; ]
Find the function of the form
a + b Cos[x] + c Sin[x] + d Cos[2 x] + e Sin[2 x]
that has order of contact 4 with ArcTan[x] at {0,0}.
Plot this function and ArcTan[x] on the same axes for -`  x  `.
:[font = subsubsection; inactive; preserveAspect; ]
G.4.b)
:[font = text; inactive; preserveAspect; endGroup; ]
Find the function of the form
a + b Cos[x] + c Sin[x] + d Cos[2 x] + e Sin[2 x] + f Cos[3x} + g Sin[3x]
that has order of contact 6 with ArcTan[x] at {0,0}.
Plot this function and ArcTan[x] on the same axes for-`  x  `.
How many accurate decimals of ArcTan[x] does your answer give for -1  x  1?
What do you think of Fourier's idea?
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.5)  Service areas on the interstate.
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
Design an access road that will take cars off a straight interstate highway onto a  mile long straight stretch parallel to the highway running  mile from the highway and then bring cars back onto the highway.
Plot your design and the highway.
:[font = special1; inactive; preserveAspect; ]
Tip:
:[font = smalltext; inactive; preserveAspect; endGroup; endGroup; ]
Cubic splines look good.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.6)  A better landing.
:[font = text; inactive; preserveAspect; ]
This problem refers to Tutorial problem (T.3) (Landing an airplane.)
Our aviator friend had another comment about our electronic landing system.
In the system proposed in Tutorial, there is an implicit jump in the vertical acceleration when x = 0 and x = R.  This jump can cause a rather unpleasant jerk similar to the jerk you sometimes feel as a car stops.  A way of trying to eliminate it is to make sure that the second derivative
     D[y, {x, 2}] = 0 for x = 0 and x = R.
:[font = subsubsection; inactive; preserveAspect; ]
G.6.a.i)
:[font = text; inactive; preserveAspect; ]
Modify the approach in Tutorial (T.6) to bring the plane onto the runway on the trajectory of a quintic (5th degree) polynomial with 
D[y, {x, 2}] = 0 for x = 0 and x = R.  For this part, do not worry about the size of the vertical acceleration.
:[font = subsubsection; inactive; preserveAspect; ]
G.6.a.ii)
:[font = text; inactive; preserveAspect; ]
What can you do to try for even more smoothness at x = 0 and x = R?
:[font = subsubsection; inactive; preserveAspect; ]
G.6.b) 
:[font = text; inactive; preserveAspect; ]
Plot the quintic trajectory for the case R = 10,000 ft, h = 5000 ft.  Then plot the detail of the landing.
:[font = subsubsection; inactive; preserveAspect; ]
G.6.c)
:[font = text; inactive; preserveAspect; endGroup; ]
If the horizontal speed is 150 mph and the original altitude h is 5000 ft, estimate the mininum value safe value of R for the quintic trajectory.
Plot the quintic trajectory for this R.
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.7)  Cubic Spines.
:[font = subsubsection; inactive; preserveAspect; ]
G.7.a)
:[font = text; inactive; preserveAspect; ]
Pass the interpolating polynomial and pass the natural cubic spline through the following data points:
:[font = text; inactive; preserveAspect; ]
     {{0.2, 0.9}, {0.4, 1.8}, {0.6, 4.6}, 
     {0.8, 10.8}, {1., 5.}, {1.2, 2.6}, 
     {1.4, 2.1}, {1.6, 2.}, {1.8, 2.1}} 
:[font = text; inactive; preserveAspect; ]
Plot the polynomial and the spline on separate plots and discuss the virtues of each.
:[font = subsubsection; inactive; preserveAspect; ]
G.7.b)
:[font = text; inactive; preserveAspect; ]
Take nine equally spaced points x[1], x[2],. . ., x[9] in [-4,4] with x[1] = -4 and x[9] = 4.
Pass the interpolating polynomial and pass the natural cubic spline through the points:
     { x[ k ],1/(1 + 16 x[ k ])}, k = 1, 2, . . . ,9.
Plot the polynomial and points and then plot the spline and the points on separate plots and discuss the virtues of each.
:[font = subsubsection; inactive; preserveAspect; ]
G.7.c)
:[font = smalltext; inactive; preserveAspect; endGroup; ]
Take the points 
			{{-8, -12},{-1, -15},{2, 20},{5, -4},{8, 9},{11,3}, {15, 9}} 
from T.2) above.  Pass a cubic spline through them in the manner of T.2) but this time see hat happens when, instead of specifying that the second derivatives be 0 at the end points, you specify the the values to be other numbers.  Try positive numbers, negative numbers or mixtures.  Can you improve on the plot from T.2)? 
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.8)  Kissing parabolas.
:[font = subsubsection; inactive; preserveAspect; ]
G.8.a.i)
:[font = text; inactive; preserveAspect; ]
Take f[x] = x e and plot on the same axes f[x] and the quadratic (2nd degree) polynomial that has order of contact 2 with f[x] at the point {-1, f[-1]}.
:[font = subsubsection; inactive; preserveAspect; ]
G.8.a.ii)
:[font = text; inactive; preserveAspect; ]
Take f[x] = x e and plot all on the same axes f[x] and the quadratic (2nd degree) polynomials that have degree of contact 2 with f[x] at the points 
     {-2, f[-2]}, {-1, f[-1]},{1, f[1]}, and {2, f[2]}.
:[font = smalltext; inactive; preserveAspect; ]
G.8.b.ii)
Take f[x] = Cos[x] and plot all on the same axes f[x] and the quadratic (2nd degree) polynomials that have degree of contact 2 with f[x] at the points 
     {-2, f[-2]}, {-1, f[-1]}, {0, f[0]}{1, f[1]}, 
     and {2, f[2]}.
:[font = subsubsection; inactive; preserveAspect; ]
G.8.c.i)
:[font = text; inactive; preserveAspect; ]
If the plot of quadratic with degree of contact 2 with f[x] at {a, f[a]} opens up, do you expect the tangent line to the graph of f[x] at {a, f[a]} to lie above or below the curve in the vicinity of {a, f[a]}? Illustrate with a plot.
:[font = subsubsection; inactive; preserveAspect; ]
G.8.c.ii)
:[font = text; inactive; preserveAspect; endGroup; ]
How does the sign of f''[a] influence which direction (up or down) that the plot of quadratic with degree of contact 2 with f[x] at {a, f[a]} opens?
:[font = subsection; inactive; Cclosed; preserveAspect; startGroup; ]
G.9) Changing the variable to improve the order of contact at 0.
:[font = subsubsection; inactive; preserveAspect; ]
G.9.a.i)
:[font = text; inactive; preserveAspect; ]
Let f[x] = e and
let g[x] =1 + x + x/2 + x/3! + x/4! + x/5! + x/6!.
What is the order of contact of f[x] and g[x] at {0,1}?
:[font = subsubsection; inactive; preserveAspect; ]
G.9.a.ii)
:[font = text; inactive; preserveAspect; ]
Let f[x] = e and
let g[x] =1 + x + x/2 + x/3! + x/4! + x/5! + x/6!.
What is the order of contact of f[x] and g[x] at {0,1}?
:[font = subsubsection; inactive; preserveAspect; ]
G.9.a.iii)
:[font = text; inactive; preserveAspect; ]
Let f[x] = e and
let g[x] =1 + x + x/2 + x/3! + x/4! + x/5! + x/6!.
What is the order of contact of f[x] and g[x] at {0,1}?
:[font = subsubsection; inactive; preserveAspect; ]
G.9.b.i)
:[font = text; inactive; Cclosed; preserveAspect; startGroup; ]
If f[x] and g[x] is any pair of functions that have order of contact n at {0, f[0]} = {0, g[0]}, then what is the order of contact of f[x] and g[x] at {0, f[0]} = {0, g[0]}?
:[font = special1; inactive; preserveAspect; ]
Tip:
:[font = input; preserveAspect; ]
Clear[f,g,x,k,n,derivorder]
:[font = smalltext; inactive; preserveAspect; ]
Fill in a value of n and play with:
:[font = input; preserveAspect; ]
n = 3
:[font = input; preserveAspect; endGroup; ]
ColumnForm[Table[{derivorder[k],D[f[x^2],{x,k}],
D[g[x^2],{x,k}]},{k,1,2 n}]/.x->0]
:[font = subsubsection; inactive; preserveAspect; ]
G.9.b.ii)
:[font = text; inactive; preserveAspect; ]
If f[x] and g[x] is any pair of functions that have order of contact n at {0, f[0]} = {0, g[0]}, then what is the order of contact of f[x] and g[x] at {0, f[0]} = {0, g[0]}?
:[font = subsubsection; inactive; preserveAspect; ]
G.9.b.iii)
:[font = text; inactive; preserveAspect; endGroup; endGroup; ]
If p is any positive integer and f[x] and g[x] is any pair of functions that have order of contact n at {0, f[0]} = {0, g[0]}, then what is the order of contact of f[x] and g[x] at {0, f[0]} = {0, g[0]}?
:[font = section; inactive; Cclosed; preserveAspect; startGroup; ]
Literacy Sheet
:[font = text; inactive; preserveAspect; ]
1.  Fill the blank: 
The higher the order of contact of f[x] and g[x] at 0, then the more we can expect the plots of f[x] and g[x] on [-1,1] to be .
:[font = text; inactive; preserveAspect; ]
2.  What is the basic idea underlying the construction of smooth splines?
:[font = text; inactive; preserveAspect; ]
3.  How smooth do you expect a spline of Cos[x] - 1 and x knotted at {0,0} to be?
:[font = text; inactive; preserveAspect; ]
4.  How smooth do you expect a spline of Cos[x] - 1 and x knotted at {0,0} to be?
:[font = text; inactive; preserveAspect; ]
5.  Given a constant a, then how would you choose another constant k to try to make a spline of f[x] = Sin[a x] and g[x] = k x knotted at {0,0} as smooth as possible?
:[font = text; inactive; preserveAspect; ]
6.  Why are some scientists suspicious of interpolating polynomials but not so suspicious of the natural cubic spline?
:[font = text; inactive; preserveAspect; ]
7.  Describe the advantage of a cubic spline over a stick figure.
:[font = text; inactive; preserveAspect; ]
8.  Computers and calculators must be programmed to add, subtract, multipy and divide.  All the other mathematical operations like takiing logarithms, taking e to a power, taking the Sine of an angle, etc. must be programmed in terms of additions, subtraction, multiplication and division.  How can you use the idea of order of contact to help to program these mathematical operations?
:[font = text; inactive; preserveAspect; ]
9.  What was Fourier's idea?
:[font = text; inactive; preserveAspect; ]
10.  Fix a positive integer n and give a formula for the nth derivative of x.
:[font = text; inactive; preserveAspect; ]
11.  Fix a positive integer n and give a formula for the nth derivative of e.
:[font = text; inactive; preserveAspect; ]
12.  Fix a positive integer n and give a formula for the nth derivative of e.
:[font = text; inactive; preserveAspect; endGroup; ]
13.  Fix a positive integer n and decide whether the nth derivative of Sin[x] has the formula Sin[x + n ].
This would amount to saying that each successive differentiation shifts the Sine curve by .  If this formula is right, then explain why you believe that it is right.  If the formula is wrong, then explain why you believe that its wrong.
^*)